<template>
  <v-container
    id="regular-tables-view"
    fluid
    tag="section"
  >
    <default-search
      :value="searchValue"
      class="hidden-sm-and-down"
      @search="search"
    />
    <material-card
      icon="mdi-clipboard-text"
      icon-small
      title="Products Information"
      color="accent"
    >
      <v-simple-table>
        <thead>
          <tr>
            <th
              v-for="(item,index) in ProductProperties"
              :key="`key-${index}`"
            >
              {{ item }}
            </th>
          </tr>
        </thead>
        <tbody>
          <tr
            v-for="(item,index) in ProductsList"
            :id="index"
            :key="`key-${index}`"
            @click="gotoProductPage"
          >
            <th
              v-for="(value,index2) of item"
              :key="`key2-${index2}`"
              :class="{'text-right':index==='capital'}"
            >
              {{ value }}
            </th>
          </tr>
        </tbody>
      </v-simple-table>
    </material-card>

    <div class="py-3" />
  </v-container>
</template>

<script>
  import { showLoans } from '@/request/api.js'
  export default {
    name: 'FinancialProductsView',
    components: {
      DefaultSearch: () => import(
        /* webpackChunkName: "default-search" */
        '@/layouts/default/widgets/Search'
      ),
    },
    data () {
      return {
        // 创立一个properties1，用来设立这个表一共有多少列。
        // companyProperties: ['ID', 'CODE', 'NAME', 'CURRENCY', 'ASSET'],

        ProductProperties: ['Id', 'Provder', 'Code', 'Name', 'Currency', 'Asset',
                            'NetValue', '1month', '2month', '3month',
                            '4month', '5month', '6month', 'FundManager', 'CreateTime'],

        ProductsList: [
          // {
          //   ProductId: 10000,
          //   productProvder: 11,
          //   productCode: 111,
          //   productName: '人寿',
          //   productCurrency: '人民币',
          //   productAsset: '规模',
          //   productNetValue: '净值',
          //   productFundManager: 'nobody',
          //   productCreateTime: '成立时间',
          // },
          // {
          //   ProductId: 10001,
          //   productProvder: 22,
          //   productCode: 222,
          //   productName: '人寿2',
          //   productCurrency: '人民币',
          //   productAsset: '规模',
          //   productNetValue: '净值',
          //   productFundManager: 'nobody',
          //   productCreateTime: '成立时间',
          // },
          // {
          //   ProductId: 10002,
          //   productProvder: 22,
          //   productCode: 222,
          //   productName: '人寿2',
          //   productCurrency: '人民币',
          //   productAsset: '规模',
          //   productNetValue: '净值',
          //   productFundManager: 'nobody',
          //   productCreateTime: '成立时间',
          // },
        ],

        searchValue: '',
      }
    },
    mounted: function () {
      const ProductProperties = []
      showLoans().then(resolve => {
        console.dir(resolve[0])
        this.ProductsList = resolve
        this.ProductsList.pop()
        for (const property of Object.keys(resolve[0])) {
          ProductProperties.push(property)
        }
        // console.log(ProductProperties)
        this.ProductProperties = Object.assign(ProductProperties)
      }).catch(err => {
        console.log(err)
      })
    },
    methods: {
      gotoProductPage: function (e) {
        // console.log(this.ProductsList[e.currentTarget.id].productCode)
        let loanId = 100001
        const id = Number(e.currentTarget.id)
        loanId = this.ProductsList[id].loanId || 100001 // 为什么返回的有误？
        console.log(loanId)
        this.$router.push({ path: '/enterprise/loanDetail/', query: { loanId } })
      },

      search: function (value) {
        console.log(value)
        this.ProductsList = this.ProductsList.filter(e => {
          return e.loanName === value
        })
      },
    },
  }
</script>
